#!/bin/csh
#
# LiPronix by Li-Pro.Net
# Stephan Linz <linz@li-pro.net>
#
#
# CPM4L (CP/M for Linux) additions:
#
#
# $Id: $
#
# $Log: $
#

setenv CPM4L /opt/cpm4l

if ($?PATH) then
  setenv PATH ${PATH}:${CPM4L}/bin
else
  setenv PATH ${CPM4L}/bin
endif

if ($?LD_LIBRARY_PATH) then
  setenv LD_LIBRARY_PATH ${LD_LIBRARY_PATH}:${CPM4L}/lib
else
  setenv LD_LIBRARY_PATH ${CPM4L}/lib
endif

if ($?MANPATH) then
  setenv MANPATH ${MANPATH}:${CPM4L}/man
else
  setenv MANPATH :${CPM4L}/man
endif

if ($?INFOPATH) then
  setenv INFOPATH ${INFOPATH}:${CPM4L}/info
else
  setenv INFOPATH ${CPM4L}/info
endif

test -d $CPM4L/etc/components.d
if ($status == 0) then
  set nonomatch
  foreach i ( $CPM4L/etc/components.d/*.csh )
    test -r $i
    if ($status == 0) then
      if ( $shlvl == 1 ) then
        $shell -f $i && source $i || echo "cpm4l.csh: error in $i"
      else
        source $i
      endif
    endif
  end
  unset i nonomatch
endif

# EOF
